Update Organization
put
/v1/orgs/{org_id}Part of Org.
Requires admin or owner role. Only owners can change the org type.
Authentication
Authenticate in any one of these ways — not all of them:
- API key in the
X-API-Keyheader. - Bearer token in the
Authorizationheader.
Path parameters
| Name | Type | Description |
|---|---|---|
org_idrequired | string | Org Id |
Request body
Required, application/json.
| Field | Type | Description |
|---|---|---|
nameoptional | string | |
org_typeoptional | OrgType | One of: |
Example request
curl
curl -X PUT "https://api.robosystems.ai/v1/orgs/{org_id}" \
-H "X-API-Key: $ROBOSYSTEMS_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"name": "string",
"org_type": "string"
}'Responses
200 Successful Response
| Field | Type | Description |
|---|---|---|
idrequired | string | |
namerequired | string | |
org_typerequired | OrgType | One of: |
user_rolerequired | OrgRole | One of: |
membersrequired | object[] | |
graphsrequired | object[] | |
limitsrequired | object | |
created_atrequired | string (date-time) | |
updated_atrequired | string (date-time) |
| Status | Meaning |
|---|---|
| 400 | Invalid request |
| 401 | Authentication required |
| 403 | Access denied |
| 404 | Resource not found |
| 422 | Validation Error |
| 429 | Rate limit exceeded |
| 500 | Internal server error |